# Module OpamFile.URL

    module URL: sig .. end

## Urls for OPAM repositories

    include OpamFile.IO_FILE

    val create : OpamTypes.repository_kind ->
           ?mirrors:OpamTypes.address list -> OpamTypes.address -> t

    val url : t -> OpamTypes.address

URL address

    val mirrors : t -> OpamTypes.address list

    val kind : t -> OpamTypes.repository_kind

Backend kind (could be curl/rsync/git/darcs/hg at the moment)

    val checksum : t -> string option

Archive checksum

    val with_checksum : t -> string -> t

Constructor